Skip to content
OpenPostDocs
OpenPostDocs
Workspaces

Change a workspace member's role or access state

Temporarily deactivate or reactivate access, or change the member role. The last active administrator cannot be demoted or deactivated.

PATCH/workspaces/{id}/members/{user_id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Workspace ID

user_id*string

Workspace member user ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/workspaces/string/members/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "$schema": "https://example.com/api/v1/schemas/WorkspaceMemberResponse.json",  "created_at": "string",  "deactivated_at": "string",  "email": "string",  "role": "admin",  "status": "active",  "updated_at": "string",  "user_id": "string"}